| Home | Libraries | People | FAQ | More

## Function template find

boost::algorithm::find — Generic find algorithm.

## Synopsis

    template<typename CollectionT, typename FinderT>
      iterator_range< typename result_iterator_of< CollectionT >::type >
      find(CollectionT & Input, FinderT Finder);

## Description

Search the input using the given finder.

Parameters

Finder

  Finder object used for searching.

Input

  A string which will be searched.

Returns: An `iterator_range` delimiting the match. Returned iterator is either `CollectionT::iterator` or `CollectionT::const_iterator` , depending on the constness of the input parameter.

| Copyright © 2002-2004 Pavol Droba